GWT 2.7.0

## com.google.gwt.user.client.ui
Class AbstractImagePrototype.ImagePrototypeElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.user.client.ui.AbstractImagePrototype.ImagePrototypeElement

Enclosing class:
  AbstractImagePrototype

    public static class AbstractImagePrototype.ImagePrototypeElement

extends Element

This corresponds to the top Element of the DOM structure created by `AbstractImagePrototype.createElement()`.

Field Summary

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AbstractImagePrototype.ImagePrototypeElement()`

Method Summary

Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, is, is, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractImagePrototype.ImagePrototypeElement

    protected AbstractImagePrototype.ImagePrototypeElement()

GWT 2.7.0